@import 'fonts';

/* Styling for font-awesome icons. */
.icon-container {
    font-size: var(--scale0);
    vertical-align: baseline;
    display: block;
    text-align: center;
    overflow: hidden;
}

.icon-container-article {
    font-size: var(--scale1);
    display: flex;
    text-align: center;
    vertical-align: middle;
    .tooltip, .tooltip-inner {
        font-size: var(--scale-1);
    }
}

 /* Used for the text in the 'our values' section. */
.icon {
    font-style: normal;
    color: $header_foreground;
    font-family: $branded_fonts;
    text-transform: none;
    font-weight: $weight_bold;
    font-size: var(--scale0);
}

i.fas {
    color: $brand_primary;
    height: 2em;
    width: 2em;
    padding: 5px;
    margin: 5px;
    line-height: inherit;
}

/* Some font-awesome icons come with styling that means they can never really
 * be centred in their surrounding elements. We make some fine-grained
 * adjustments here to try to correct that, in most cases.
 */
.fa-bolt {
    transform: translateY(4px);
}

i.fas:hover {
    background: $brand_primary;
    color: $white;
}

/* Branding icons. */
i.fab {
    color: $white;
    background: $brand_primary;
    padding: 10px;
    margin: 10px;
    border-radius: 50%;
}

i.fab:hover {
    background: $white;
    color: $brand_primary;
 }
